> ## Documentation Index
> Fetch the complete documentation index at: https://docs.isprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar canal de leads existente

> Actualiza un canal de leads existente con la información proporcionada.
Solo se actualizan los campos enviados en la petición.



## OpenAPI

````yaml /api/openapi.json put /lead-channels/{uuid}
openapi: 3.1.0
info:
  title: Isprop API
  version: 1.0.0
  description: API para gestión de unidades inmobiliarias y leads de Isprop
servers:
  - url: https://{tenantDomain}/api/v1
    description: Dominio del tenant
    variables:
      tenantDomain:
        default: tenant.example.com
        description: Dominio asignado al tenant, sin protocolo ni ruta.
security:
  - http: []
tags:
  - name: Unit
  - name: Project
  - name: Product
  - name: Typology
  - name: Lead
  - name: Lead Channel
  - name: Attribute
paths:
  /lead-channels/{uuid}:
    put:
      tags:
        - Lead Channel
      summary: Actualizar canal de leads existente
      description: |-
        Actualiza un canal de leads existente con la información proporcionada.
        Solo se actualizan los campos enviados en la petición.
      operationId: updateLeadChannel
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLeadChannelRequest'
      responses:
        '200':
          description: '`LeadChannel`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LeadChannel'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateLeadChannelRequest:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        key:
          type: string
          maxLength: 100
        description:
          type:
            - string
            - 'null'
          maxLength: 1000
        is_active:
          type: boolean
      title: UpdateLeadChannelRequest
    LeadChannel:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        key:
          type: string
        description:
          type: string
        is_active:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        sale_estimations:
          type: array
          description: Relaciones condicionales
          items:
            $ref: '#/components/schemas/SaleEstimation'
      required:
        - id
        - name
        - key
        - description
        - is_active
        - created_at
        - updated_at
      title: LeadChannel
    SaleEstimation:
      type: object
      properties:
        id:
          type: string
        lead_channel_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        lead_channel:
          $ref: '#/components/schemas/LeadChannel'
          description: Relaciones condicionales
      required:
        - id
        - lead_channel_id
        - created_at
        - updated_at
      title: SaleEstimation
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: sanctum

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.